org.wso2.carbon.governance.api.generic.dataobjects

## Class DetachedGenericArtifactImpl

- java.lang.Object
- - org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifactImpl
  - - org.wso2.carbon.governance.api.generic.dataobjects.GenericArtifactImpl
    - - org.wso2.carbon.governance.api.generic.dataobjects.DetachedGenericArtifactImpl

- All Implemented Interfaces:
    GovernanceArtifact, DetachedGenericArtifact, GenericArtifact

      public class DetachedGenericArtifactImpl
      extends GenericArtifactImpl
      implements DetachedGenericArtifact

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifactImpl

      `attributes, properties`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DetachedGenericArtifactImpl(GovernanceArtifact artifact, String mediaType)`
    `` | `DetachedGenericArtifactImpl(QName artifactName, String mediaType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericArtifact` | `makeRegistryAware(GenericArtifactManager artifactManager)`

    - ### Methods inherited from class org.wso2.carbon.governance.api.generic.dataobjects.GenericArtifactImpl

      `getContent, getMediaType, getQName, loadDetails, setContent, setQName`

    - ### Methods inherited from class org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifactImpl

      `addAssociation, addAssociation, addAttribute, addBidirectionalAssociation, addTag, addTags, associateRegistry, attach, attach, attachLifecycle, checkLCItem, checkRegistryResourceAssociation, compareTo, create, create, create, create, createVersion, detach, detachLifecycle, equals, getAllCheckListItemNames, getAllLifecycleActions, getAllVotingItems, getAllVotingItems, getArtifactPath, getAssociatedArtifactIds, getAssociatedRegistry, getAssociations, getAttribute, getAttributeKeys, getAttributes, getCurrentStateDuration, getDependencies, getDependents, getId, getLcName, getLcState, getLifecycleName, getLifecycleNames, getLifecycleState, getLifecycleState, getPath, getPropertyKeys, getUniqueAttributes, invokeAction, invokeAction, isLCItemChecked, isRegistryAwareArtifact, isVoted, isVoted, listTags, removeAssociation, removeAssociation, removeAttribute, removeTag, removeTags, setArtifactPath, setAttribute, setAttributes, setId, setLcName, setLcState, setUniqueAttributes, toString, uncheckLCItem, uniqueTo, unvote, unvote, updatePath, updatePath, vote, vote`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wso2.carbon.governance.api.generic.dataobjects.GenericArtifact

      `getContent, getMediaType, setContent`

    - ### Methods inherited from interface org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifact

      `addAssociation, addAssociation, addAttribute, addBidirectionalAssociation, addTag, addTags, attach, attach, attachLifecycle, checkLCItem, compareTo, detach, getAllCheckListItemNames, getAllLifecycleActions, getAllVotingItems, getAllVotingItems, getAssociatedArtifactIds, getAssociations, getAttribute, getAttributeKeys, getAttributes, getCurrentStateDuration, getDependencies, getDependents, getId, getLifecycleName, getLifecycleNames, getLifecycleState, getLifecycleState, getPath, getPropertyKeys, getQName, invokeAction, invokeAction, isLCItemChecked, isRegistryAwareArtifact, isVoted, isVoted, listTags, removeAssociation, removeAssociation, removeAttribute, removeTag, removeTags, setAttribute, setAttributes, setId, setQName, uncheckLCItem, uniqueTo, unvote, unvote, vote, vote`

- - ### Constructor Detail

    - #### DetachedGenericArtifactImpl

          protected DetachedGenericArtifactImpl(GovernanceArtifact artifact,
                                                String mediaType)

    - #### DetachedGenericArtifactImpl

          public DetachedGenericArtifactImpl(QName artifactName,
                                             String mediaType)

  - ### Method Detail

    - #### makeRegistryAware

          public GenericArtifact makeRegistryAware(GenericArtifactManager artifactManager)
                                            throws GovernanceException

      Specified by:
        `makeRegistryAware` in interface `DetachedGenericArtifact`
      Throws:
        `GovernanceException`

Copyright © 2017 WSO2. All rights reserved.